INSERT INTO dbo.Permissions (PermissionName, PermissionDescription, CreatedBy, CreatedDate)
VALUES 
('Dashboard.View', '', 'admin', GETDATE()),
('UserManagement.ViewList', '', 'admin', GETDATE()),
('UserManagement.ViewDetail', '', 'admin', GETDATE()),
('UserManagement.Add', '', 'admin', GETDATE()),
('UserManagement.Edit', '', 'admin', GETDATE()),
('UserManagement.Remove', '', 'admin', GETDATE()),
('UserManagement.Activation', '', 'admin', GETDATE()),
('RoleManagement.ViewList', '', 'admin', GETDATE()),
('RoleManagement.ViewDetail', '', 'admin', GETDATE()),
('RoleManagement.Add', '', 'admin', GETDATE()),
('RoleManagement.Edit', '', 'admin', GETDATE()),
('RoleManagement.Remove', '', 'admin', GETDATE()),
('RoleManagement.Activation', '', 'admin', GETDATE()),
('RoleManagement.SetPermission', '', 'admin', GETDATE()),
('PermissionManagement.ViewList', '', 'admin', GETDATE()),
('PermissionManagement.ViewDetail', '', 'admin', GETDATE()),
('PermissionManagement.Add', '', 'admin', GETDATE()),
('PermissionManagement.Edit', '', 'admin', GETDATE()),
('ConcertManagement.ViewList', '', 'admin', GETDATE()),
('ConcertManagement.ViewDetail', '', 'admin', GETDATE()),
('ConcertManagement.Add', '', 'admin', GETDATE()),
('ConcertManagement.Edit', '', 'admin', GETDATE()),
('ConcertManagement.Remove', '', 'admin', GETDATE()),
('ConcertManagement.Activation', '', 'admin', GETDATE()),
('ConcertManagement.SetMerchandise', '', 'admin', GETDATE()),
('OrderManagement.ViewList', '', 'admin', GETDATE()),
('OrderManagement.ViewDetail', '', 'admin', GETDATE()),
('OrderManagement.Edit', '', 'admin', GETDATE()),
('OrderManagement.Remove', '', 'admin', GETDATE())

INSERT INTO dbo.Roles (RoleName, RoleDescription, IsActive, CreatedBy, CreatedDate)
VALUES ('Administrator', 'Role super user', 1, 'system', GETDATE()),
('RegularMember', 'Regular Member', 1, 'system', GETDATE())

INSERT INTO dbo.RolePermissions (RoleId, PermissionId, CreatedBy, CreatedDate)
VALUES 
(1, 1, 'system', GETDATE()),
(1, 2, 'system', GETDATE()),
(1, 3, 'system', GETDATE()),
(1, 4, 'system', GETDATE()),
(1, 5, 'system', GETDATE()),
(1, 6, 'system', GETDATE()),
(1, 7, 'system', GETDATE()),
(1, 8, 'system', GETDATE()),
(1, 9, 'system', GETDATE()),
(1, 10, 'system', GETDATE()),
(1, 11, 'system', GETDATE()),
(1, 12, 'system', GETDATE()),
(1, 13, 'system', GETDATE()),
(1, 14, 'system', GETDATE()),
(1, 15, 'system', GETDATE()),
(1, 16, 'system', GETDATE()),
(1, 17, 'system', GETDATE()),
(1, 18, 'system', GETDATE()),
(1, 19, 'system', GETDATE()),
(1, 20, 'system', GETDATE()),
(1, 21, 'system', GETDATE()),
(1, 22, 'system', GETDATE()),
(1, 23, 'system', GETDATE()),
(1, 24, 'system', GETDATE()),
(1, 25, 'system', GETDATE()),
(1, 26, 'system', GETDATE()),
(1, 27, 'system', GETDATE()),
(1, 28, 'system', GETDATE()),
(1, 29, 'system', GETDATE()),
(1, 30, 'system', GETDATE())

